{
  "meta": {
    "restrictions": [
      {
        "resUri": "/capability/switch/main/0",
        "property": "power",
        "type": 1,
        "value": "on,off"
      },
      {
        "resUri": "/capability/audioVolume/main/0",
        "property": "command",
        "type": 1,
        "value": "increase,decrease,max,min"
      },
      {
        "resUri": "/capability/mediaPlaybackShuffle/main/0",
        "property": "mode",
        "type": 1,
        "value": "enabled,disabled"
      }
    ],
    "resDesc": [
      {
        "resUri": "/capability/switch/main/0",
        "name": "WWST Power Switch",
        "desc": "Turn on and off a device\n"
      },
      {
        "resUri": "/capability/audioVolume/main/0",
        "name": "WWST Audio volume",
        "desc": "Volume control for TV, Networ speakers, etc\n"
      },
      {
        "resUri": "/capability/mediaInputSource/main/0",
        "name": "WWST Media Input Source",
        "desc": "Media input source controller\n"
      },
      {
        "resUri": "/capability/mediaPlayback/main/0",
        "name": "WWST Player modes",
        "desc": "Player Control\n"
      },
      {
        "resUri": "/capability/mediaTrackControl/main/0",
        "name": "WWST Media Track control",
        "desc": "Media Track control\n"
      },
      {
        "resUri": "/capability/mediaPlaybackRepeat/main/0",
        "name": "WWST Media Repeat mode",
        "desc": "Media Repeat mode\n"
      },
      {
        "resUri": "/capability/mediaPlaybackShuffle/main/0",
        "name": "WWST Media Player Shuffle Mode",
        "desc": "Media Player Shuffle Mode\n"
      },
      {
        "resUri": "/capability/audioTrackData/main/0",
        "name": "WWST Media Track Info",
        "desc": "Media infomation\n"
      }
    ],
    "propDesc": [
      {
        "resUri": "/capability/switch/main/0",
        "property": "power",
        "desc": "State of the power switch."
      },
      {
        "resUri": "/capability/audioVolume/main/0",
        "property": "volume",
        "desc": "Volume setting of an audio rendering device."
      },
      {
        "resUri": "/capability/audioVolume/main/0",
        "property": "mute",
        "desc": "Mute setting of an audio rendering device"
      },
      {
        "resUri": "/capability/audioVolume/main/0",
        "property": "command",
        "desc": "Comand for controlling"
      },
      {
        "resUri": "/capability/mediaInputSource/main/0",
        "property": "modes",
        "desc": "Desired mode"
      },
      {
        "resUri": "/capability/mediaInputSource/main/0",
        "property": "supportedModes",
        "desc": "Array of possible modes the device supports."
      },
      {
        "resUri": "/capability/mediaPlayback/main/0",
        "property": "modes",
        "desc": "Desired mode"
      },
      {
        "resUri": "/capability/mediaPlayback/main/0",
        "property": "supportedModes",
        "desc": "Array of possible modes the device supports."
      },
      {
        "resUri": "/capability/mediaTrackControl/main/0",
        "property": "modes",
        "desc": "Desired mode"
      },
      {
        "resUri": "/capability/mediaTrackControl/main/0",
        "property": "supportedModes",
        "desc": "Array of possible modes the device supports."
      },
      {
        "resUri": "/capability/mediaPlaybackRepeat/main/0",
        "property": "modes",
        "desc": "Desired mode"
      },
      {
        "resUri": "/capability/mediaPlaybackRepeat/main/0",
        "property": "supportedModes",
        "desc": "Array of possible modes the device supports."
      },
      {
        "resUri": "/capability/mediaPlaybackShuffle/main/0",
        "property": "mode",
        "desc": "State of the ShuffleMode."
      },
      {
        "resUri": "/capability/audioTrackData/main/0",
        "property": "thumbnail",
        "desc": "url of the thumbnail"
      },
      {
        "resUri": "/capability/audioTrackData/main/0",
        "property": "trackDescription",
        "desc": "Specifies the trackDescription of media track"
      },
      {
        "resUri": "/capability/audioTrackData/main/0",
        "property": "trackNumber",
        "desc": "Specifies the trackNumber of media track"
      },
      {
        "resUri": "/capability/audioTrackData/main/0",
        "property": "artist",
        "desc": "Specifies the artist of media track"
      },
      {
        "resUri": "/capability/audioTrackData/main/0",
        "property": "album",
        "desc": "Specifies the album of media track"
      },
      {
        "resUri": "/capability/audioTrackData/main/0",
        "property": "station",
        "desc": "Specifies the station of media"
      },
      {
        "resUri": "/capability/audioTrackData/main/0",
        "property": "trackUri",
        "desc": "Specifies the trackUri of media track"
      },
      {
        "resUri": "/capability/audioTrackData/main/0",
        "property": "title",
        "desc": "Specifies the title of media track"
      }
    ]
  },
  "device": [
    {
      "specification": {
        "device": {
          "deviceType": "oic.d.networkaudio",
          "deviceName": "[network audio]",
          "specVersion": "core.1.1.0",
          "dataModelVersion": "res.1.1.0"
        },
        "platform": {
          "manufacturerName": "",
          "manufacturerUrl": "http://www.samsung.com",
          "manufacturingDate": "2017-01-01",
          "modelNumber": "VD-NetworkAudio",
          "platformVersion": "3.0",
          "osVersion": "tizen",
          "hardwareVersion": "TS01",
          "firmwareVersion": "Virtual Device_0824",
          "vendorId": ""
        }
      },
      "resources": {
        "single": [
          {
            "uri": "/capability/switch/main/0",
            "types": [
              "x.com.st.powerswitch"
            ],
            "interfaces": [
              "oic.if.a",
              "oic.if.baseline"
            ],
            "policy": 3
          },
          {
            "uri": "/capability/audioVolume/main/0",
            "types": [
              "x.com.st.audiovolume"
            ],
            "interfaces": [
              "oic.if.a",
              "oic.if.baseline"
            ],
            "policy": 3
          },
          {
            "uri": "/capability/mediaInputSource/main/0",
            "types": [
              "x.com.st.mediainputsource"
            ],
            "interfaces": [
              "oic.if.a",
              "oic.if.s",
              "oic.if.baseline"
            ],
            "policy": 3
          },
          {
            "uri": "/capability/mediaPlayback/main/0",
            "types": [
              "x.com.st.mediaplayer"
            ],
            "interfaces": [
              "oic.if.a",
              "oic.if.s",
              "oic.if.baseline"
            ],
            "policy": 3
          },
          {
            "uri": "/capability/mediaTrackControl/main/0",
            "types": [
              "x.com.st.mediatrackcontrol"
            ],
            "interfaces": [
              "oic.if.a",
              "oic.if.s",
              "oic.if.baseline"
            ],
            "policy": 3
          },
          {
            "uri": "/capability/mediaPlaybackRepeat/main/0",
            "types": [
              "x.com.st.mediarepeat"
            ],
            "interfaces": [
              "oic.if.a",
              "oic.if.s",
              "oic.if.baseline"
            ],
            "policy": 3
          },
          {
            "uri": "/capability/mediaPlaybackShuffle/main/0",
            "types": [
              "x.com.st.mediashuffle"
            ],
            "interfaces": [
              "oic.if.a",
              "oic.if.s",
              "oic.if.baseline"
            ],
            "policy": 3
          },
          {
            "uri": "/capability/audioTrackData/main/0",
            "types": [
              "x.com.st.audiotrackdata"
            ],
            "interfaces": [
              "oic.if.s",
              "oic.if.baseline"
            ],
            "policy": 3
          }
        ]
      }
    }
  ],
  "resourceTypes": [
    {
      "type": "x.com.st.powerswitch",
      "properties": [
        {
          "key": "power",
          "type": 3,
          "mandatory": true,
          "rw": 3
        }
      ]
    },
    {
      "type": "x.com.st.audiovolume",
      "properties": [
        {
          "key": "volume",
          "type": 1,
          "mandatory": true,
          "rw": 3
        },
        {
          "key": "mute",
          "type": 0,
          "mandatory": true,
          "rw": 3
        },
        {
          "key": "command",
          "type": 3,
          "mandatory": false,
          "rw": 3
        }
      ]
    },
    {
      "type": "x.com.st.mediainputsource",
      "properties": [
        {
          "key": "modes",
          "type": 9,
          "mandatory": true,
          "rw": 3
        },
        {
          "key": "supportedModes",
          "type": 9,
          "mandatory": true,
          "rw": 1
        }
      ]
    },
    {
      "type": "x.com.st.mediaplayer",
      "properties": [
        {
          "key": "modes",
          "type": 9,
          "mandatory": true,
          "rw": 3
        },
        {
          "key": "supportedModes",
          "type": 9,
          "mandatory": true,
          "rw": 1
        }
      ]
    },
    {
      "type": "x.com.st.mediatrackcontrol",
      "properties": [
        {
          "key": "modes",
          "type": 9,
          "mandatory": true,
          "rw": 3
        },
        {
          "key": "supportedModes",
          "type": 9,
          "mandatory": true,
          "rw": 1
        }
      ]
    },
    {
      "type": "x.com.st.mediarepeat",
      "properties": [
        {
          "key": "modes",
          "type": 9,
          "mandatory": true,
          "rw": 3
        },
        {
          "key": "supportedModes",
          "type": 9,
          "mandatory": true,
          "rw": 1
        }
      ]
    },
    {
      "type": "x.com.st.mediashuffle",
      "properties": [
        {
          "key": "mode",
          "type": 3,
          "mandatory": true,
          "rw": 3
        }
      ]
    },
    {
      "type": "x.com.st.audiotrackdata",
      "properties": [
        {
          "key": "thumbnail",
          "type": 3,
          "mandatory": false,
          "rw": 1
        },
        {
          "key": "trackDescription",
          "type": 3,
          "mandatory": false,
          "rw": 1
        },
        {
          "key": "trackNumber",
          "type": 1,
          "mandatory": false,
          "rw": 1
        },
        {
          "key": "artist",
          "type": 3,
          "mandatory": false,
          "rw": 1
        },
        {
          "key": "album",
          "type": 3,
          "mandatory": false,
          "rw": 1
        },
        {
          "key": "station",
          "type": 3,
          "mandatory": false,
          "rw": 1
        },
        {
          "key": "trackUri",
          "type": 3,
          "mandatory": false,
          "rw": 1
        },
        {
          "key": "title",
          "type": 3,
          "mandatory": false,
          "rw": 1
        }
      ]
    }
  ],
  "configuration": {
    "easySetup": {
      "connectivity": {
        "type": 1,
        "softAP": {
          "setupId": "001",
          "artik": false
        }
      },
      "ownershipTransferMethod": 2
    },
    "wifi": {
      "interfaces": 15,
      "frequency": 1
    },
    "filePath": {
      "svrdb": "artikserversecured.dat",
      "provisioning": "provisioning.dat",
      "certificate": "certificate.pem",
      "privateKey": "privatekey.der"
    }
  }
}
